Skip to main content

Delete Schedule Template

Permanently delete a saved schedule template.

Endpointโ€‹

DELETE /v1/staff/schedule/templates/{id}

Authenticationโ€‹

Requires an API key with the staff:write scope.

Path Parametersโ€‹

ParameterTypeDescription
idintegerTemplate ID

Responseโ€‹

Success (200 OK)โ€‹

{
"data": {
"deleted": true
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-04-01T09:00:00+00:00"
}
}

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
401invalid_api_keyInvalid API key
403insufficient_scopeAPI key lacks staff:write scope
404not_foundTemplate not found or belongs to another supplier

Example Requestโ€‹

curl -X DELETE "https://app.equipdash.com/api/v1/staff/schedule/templates/3" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."